Package org.springframework.security.web.savedrequest

# Class DefaultSavedRequest.Builder

java.lang.Object
org.springframework.security.web.savedrequest.DefaultSavedRequest.Builder

Enclosing class:
  DefaultSavedRequest

public static class DefaultSavedRequest.Builder extends Object

Since:
  4.2

## Constructor Summary

Constructors
Constructor
Description
`Builder()`

## Method Summary

Modifier and Type
Method
Description
`DefaultSavedRequest`
`build()`
`DefaultSavedRequest.Builder`
`setContextPath(String contextPath)`
`DefaultSavedRequest.Builder`
`setCookies(List<SavedCookie> cookies)`
`DefaultSavedRequest.Builder`
`setHeaders(Map<String,List<String>> header)`
`DefaultSavedRequest.Builder`
`setLocales(List<Locale> locales)`
`DefaultSavedRequest.Builder`
`setMatchingRequestParameterName(String matchingRequestParameterName)`
`DefaultSavedRequest.Builder`
`setMethod(String method)`
`DefaultSavedRequest.Builder`
`setParameters(Map<String,String[]> parameters)`
`DefaultSavedRequest.Builder`
`setPathInfo(String pathInfo)`
`DefaultSavedRequest.Builder`
`setQueryString(String queryString)`
`DefaultSavedRequest.Builder`
`setRequestURI(String requestURI)`
`DefaultSavedRequest.Builder`
`setRequestURL(String requestURL)`
`DefaultSavedRequest.Builder`
`setScheme(String scheme)`
`DefaultSavedRequest.Builder`
`setServerName(String serverName)`
`DefaultSavedRequest.Builder`
`setServerPort(int serverPort)`
`DefaultSavedRequest.Builder`
`setServletPath(String servletPath)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Builder

public Builder()

## Method Details

### setCookies

public DefaultSavedRequest.Builder setCookies(List<SavedCookie> cookies)

### setLocales

public DefaultSavedRequest.Builder setLocales(List<Locale> locales)

### setHeaders

public DefaultSavedRequest.Builder setHeaders(Map<String,List<String>> header)

### setParameters

public DefaultSavedRequest.Builder setParameters(Map<String,String[]> parameters)

### setContextPath

public DefaultSavedRequest.Builder setContextPath(String contextPath)

### setMethod

public DefaultSavedRequest.Builder setMethod(String method)

### setPathInfo

public DefaultSavedRequest.Builder setPathInfo(String pathInfo)

### setQueryString

public DefaultSavedRequest.Builder setQueryString(String queryString)

### setRequestURI

public DefaultSavedRequest.Builder setRequestURI(String requestURI)

### setRequestURL

public DefaultSavedRequest.Builder setRequestURL(String requestURL)

### setScheme

public DefaultSavedRequest.Builder setScheme(String scheme)

### setServerName

public DefaultSavedRequest.Builder setServerName(String serverName)

### setServletPath

public DefaultSavedRequest.Builder setServletPath(String servletPath)

### setServerPort

public DefaultSavedRequest.Builder setServerPort(int serverPort)

### setMatchingRequestParameterName

public DefaultSavedRequest.Builder setMatchingRequestParameterName(String matchingRequestParameterName)

### build

public DefaultSavedRequest build()